function[x,t]=readlistoffiles(files);
% plots wfm for list of files
n = size(files,1)
for i = 1:n
    figNumber = i
    filename=files(i,:);
    fprintf(1,'In readlistoffiles.m: Reading file = %s\n',filename)
    [x(i,:), t]=wfm2read(filename);
    fprintf(1,'In readfiles.m: sixe of t = %d %d\n', size(t))
    fprintf(1,'In readfiles.m: size of x = %d %d\n', size(x))
    fprintf(1,'In readfiles.m: time step = %g \n', t(2,1)-t(1,1));
    slabel1 = sprintf('Time step = %g (pscec)\n', 1.0e+12 * (t(2,1)-t(1,1)) );
    %plot(x(i,:));
    scalet = 1.0e+9;	% nsec
    if  i < 5 || i > 95 
        figure(figNumber)
	plot( scalet*t(:,1),x(i,:) );
        a=axis();										% get the positions of 4 corners of lot
        fprintf(1,'axis limits : %f %f %f %f\n', a(1), a(2),a(3), a(4) );
        text( (a(2)+a(1))/2, a(3) + 0.9*(a(4)-a(3)), slabel1 );
        fprintf(1,'text posistion : %f %f \n',  (a(2)+a(1))/2,  a(3) + 0.9*(a(4)-a(3)) );
    end
    xlabel( 'time (nsec)');
    ylabel( 'Voltage (V)');
    stitle = sprintf('waveform from file %s', filename);
    title( stitle );
    %hold on
end
